Support » Plugin: Image and video gallery from Google Drive » Error happened after upgrade to 2.7.5

  • Resolved tronghoa

    (@tronghoa)


    I got this error after upgrade to latest version. I have to reinstall 2.7.4 to my website now. Hope you can fix the error soon.

    WordPress version 5.4
    Current theme: Gallery Pro (version 1.1)
    Current plugin: Image and video gallery from Google Drive (version 2.7.5)
    PHP version 7.1.24

    Error Details
    =============
    An error of type E_ERROR was caused in line 220 of the file /home4/hoatranphoto/public_html/wp-content/plugins/skaut-google-drive-gallery/bundled/vendor/guzzlehttp/guzzle/src/Client.php. Error message: Uncaught Error: Class 'Sgdg\Vendor\GuzzleHttp\Utils' not found in /home4/hoatranphoto/public_html/wp-content/plugins/skaut-google-drive-gallery/bundled/vendor/guzzlehttp/guzzle/src/Client.php:220
    Stack trace:
    #0 /home4/hoatranphoto/public_html/wp-content/plugins/skaut-google-drive-gallery/bundled/vendor/guzzlehttp/guzzle/src/Client.php(113): Sgdg\Vendor\GuzzleHttp\Client->buildUri(Object(Sgdg\Vendor\GuzzleHttp\Psr7\Uri), Array)
    #1 /home4/hoatranphoto/public_html/wp-content/plugins/skaut-google-drive-gallery/bundled/vendor/guzzlehttp/guzzle/src/Client.php(130): Sgdg\Vendor\GuzzleHttp\Client->sendAsync(Object(Sgdg\Vendor\GuzzleHttp\Psr7\Request), Array)
    #2 /home4/hoatranphoto/public_html/wp-content/plugins/skaut-google-drive-gallery/bundled/vendor/google/auth/src/HttpHandler/Guzzle6HttpHandler.php(34): Sgdg\Vendor\GuzzleHttp\Client->send(Object(Sgdg\Vendor\GuzzleHttp\Psr7\Request), Array)
    #3 /home4/hoatranphoto/public_html/wp-content/plugins/skaut-google-drive-gallery/bundled/vendor/google/apiclient/src/Google/
Viewing 3 replies - 1 through 3 (of 3 total)
  • Hello

    I have the same error.
    I had to go back to version 2.74

    Thanks for your help

    Hello

    I have the same error.
    I had to go back to version 2.74
    with 2.75
    i have this message error
    Error thrown
    Class ‘Sgdg\Vendor\GuzzleHttp\Utils’ not found

    Thanks for your help

    Plugin Author Marek Dědič

    (@marekdedic)

    Hi guys,
    thanks for the report, we noticed the error several hours after releasing version 2.7.5 and re-released 2.7.4 as 2.7.6 to remedy the issue immediately. As of the current moment, the issue has been fixed and the current version 2.7.7 is the one with all of the updates and without the bug.

    Sorry to disrupt your day like this,
    Marek

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Error happened after upgrade to 2.7.5’ is closed to new replies.